<?php
if (!defined('ABSPATH')) {
    exit;
}
require_once( 'header/plugin-header.php' );
global $wpdb;

$retrieved_nonce = empty($_REQUEST['_wpnonce']) ? '' : sanitize_text_field(wp_unslash($_REQUEST['_wpnonce']));

if (isset($_POST['submitGdprSetting']) && sanitize_text_field(wp_unslash($_POST['submitGdprSetting'])) == GDPR_GENERAL_SETTING_SAVE) {
    $post = $_POST;
    if (!wp_verify_nonce($retrieved_nonce, 'gdprsettingform_nonce')) {
        die('Failed security check');
    } else {
        $this->gdprct_extra_setting_save($post);
    }
}

$gdpr_general_setting = json_decode(get_option('gdpr_general_setting'), true);
$gdpr_admin_email = isset($gdpr_general_setting['gdpr_admin_email']) && !empty($gdpr_general_setting['gdpr_admin_email']) ? sanitize_text_field(wp_unslash($gdpr_general_setting['gdpr_admin_email'])) : get_option( 'admin_email' );
$gdpr_backend_per_page = isset($gdpr_general_setting['gdpr_backend_per_page']) && !empty($gdpr_general_setting['gdpr_backend_per_page']) ? sanitize_text_field(wp_unslash($gdpr_general_setting['gdpr_backend_per_page'])) : GDPR_DEFAULT_PER_PAGE;
?>
<div class="gdpr-main-table res-cl">
    <h2>
        <?php esc_html_e('GDPR General Setting', 'gdpr-compliance-toolkit'); ?>
    </h2>
    <form method="POST" name="gdprsettingform" action="">
        <?php wp_nonce_field('gdprsettingform_nonce'); ?>
        <table class="form-table table-outer product-fee-table">
            <tbody>
                <tr valign="top">
                    <th class="titledesc" scope="row">
                        <label for="gdpr_admin_email"><?php esc_html_e(GDPR_DEFAULT_EMAIL_ADDRESS, 'gdpr-compliance-toolkit'); ?></label></th>
                    <td class="forminp mdtooltip">
                        <input type="text" name="gdpr_admin_email" class="text-class full_width" id="gdpr_admin_email" value="<?php echo wp_kses_post($gdpr_admin_email); ?>" placeholder="<?php esc_html_e(GDPR_DEFAULT_EMAIL_ADDRESS_PLACEHOLDER, 'gdpr-compliance-toolkit'); ?>">
                        <span class="woocommerce_gdpr_tab_descirtion"><i class="fa fa-question-circle " aria-hidden="true"></i></span>
                        <p class="description"><?php esc_html_e(GDPR_DEFAULT_EMAIL_ADDRESS_DESCRIPTION, 'gdpr-compliance-toolkit'); ?></p>
                    </td>
                </tr>
                <tr valign="top">
                    <th class="titledesc" scope="row">
                        <label for="gdpr_backend_per_page"><?php esc_html_e(GDPR_PER_PAGE_ADMIN, 'gdpr-compliance-toolkit'); ?></label>
                    </th>
                    <td class="forminp mdtooltip">
                        <input type="number" name="gdpr_backend_per_page" class="text-class" id="gdpr_backend_per_page" value="<?php echo esc_attr($gdpr_backend_per_page); ?>" placeholder="<?php esc_html_e(GDPR_PER_PAGE_ADMIN_PLACEHOLDER, 'gdpr-compliance-toolkit'); ?>" min="1">
                        <span class="woocommerce_gdpr_tab_descirtion"><i class="fa fa-question-circle " aria-hidden="true"></i></span>
                        <p class="description">
                            <?php esc_html_e(GDPR_PER_PAGE_ADMIN_DESCRIPTION, 'gdpr-compliance-toolkit'); ?>
                        </p>
                    </td>
                </tr>
            </tbody>
        </table>
        <p class="submit"><input type="submit" name="submitGdprSetting" class="button button-primary button-large" value="<?php _e(GDPR_GENERAL_SETTING_SAVE, 'gdpr-compliance-toolkit'); ?>"></p>
    </form>
</div>
<?php
require_once( 'header/plugin-sidebar.php' );