<?php
if (!defined('ABSPATH')) {
    exit;
}

require_once( 'header/plugin-header.php' );
global $wpdb;
?>

<div class="gdpr-main-table res-cl">
    <h2><?php esc_html_e('Thanks For Installing ' . GDPR_COMPLIANCE_TOOLKIT_PLUGIN_NAME, 'gdpr-compliance-toolkit'); ?></h2>
    <table class="table-outer">
        <tbody>
            <tr>
                <td class="fr-2">
                    <p class="block gettingstarted"><strong><?php esc_html_e('Getting Started', 'gdpr-compliance-toolkit'); ?> </strong></p>
                    <p class="block textgetting">
                        <?php esc_html_e('This plugin assists WooCommerces store owners to comply with European privacy regulations known as GDPR. By May 24th, 2018 your website owners have to comply to avoid large fines.', 'gdpr-compliance-toolkit'); ?>
                    </p>
                    <p class="block gettingstarted"><strong><?php esc_html_e('GDPR Integrations', 'gdpr-compliance-toolkit'); ?> </strong></p>
                    <p class="block textgetting">
                        <?php esc_html_e('Enabled Woocommerce Integration check box.', 'gdpr-compliance-toolkit'); ?>
                    <ul>
                        <li><?php esc_html_e('The GDPR checkbox will be added automatically at the end of your checkout page.', 'gdpr-compliance-toolkit'); ?></li>
                        <li><?php esc_html_e('Add custom text message for a checkbox.', 'gdpr-compliance-toolkit'); ?></li>
                        <li><?php esc_html_e('Display error message when a checkbox is not checked.', 'gdpr-compliance-toolkit'); ?></li>
                    </ul>
                    <span class="gettingstarted">
                        <img src="<?php echo esc_url(GDPR_PLUGIN_URL . 'admin/images/Getting_Started_01.png'); ?>">
                    </span>
                    </p>
                    <p class="block gettingstarted"><strong><?php esc_html_e('GDPR Order List', 'gdpr-compliance-toolkit'); ?> </strong></p>
                    <p class="block textgetting">
                        <?php esc_html_e('Here, you will see all list of order. Who is agree with storage and handling of customer data in this website?', 'gdpr-compliance-toolkit'); ?>
                        <span class="gettingstarted">
                            <img src="<?php echo esc_url(GDPR_PLUGIN_URL . 'admin/images/Getting_Started_02.png'); ?>">										
                        </span>
                    </p>
                    <p class="block gettingstarted"><strong><?php esc_html_e('GDPR User Request List', 'gdpr-compliance-toolkit'); ?> </strong></p>
                    <p class="block textgetting">
                        <?php esc_html_e('Here, you will get list GDPR personal data request from the customer.', 'gdpr-compliance-toolkit'); ?>
                    </p>
                    <p class="block textgetting">
                        <?php esc_html_e('- Customer will send the request as per below:', 'gdpr-compliance-toolkit'); ?>
                    <ul>
                        <li><?php esc_html_e('Step 1. Submit your email in the form below.', 'gdpr-compliance-toolkit'); ?></li>
                        <li><?php esc_html_e('Step 2. A confirmation email will be sent to you, you need to click the confirmation button/link in the email.', 'gdpr-compliance-toolkit'); ?></li>
                        <li><?php esc_html_e('Step 3. A GDPR report will be emailed to you.', 'gdpr-compliance-toolkit'); ?></li>
                    </ul>
                    </p>

                    <span class="gettingstarted">
                        <img src="<?php echo esc_url(GDPR_PLUGIN_URL . 'admin/images/Getting_Started_03.png'); ?>">										
                    </span>
                    </p>
                    <p class="block gettingstarted"><strong><?php esc_html_e('Right to Data Rectification: ( by My Account / User profile )', 'gdpr-compliance-toolkit'); ?> </strong></p>
                    <p class="block textgetting">
                        <?php esc_html_e('With this option, Customer has to login website and goto my account and update list information ', 'gdpr-compliance-toolkit'); ?>
                        <span class="gettingstarted">
                            <img src="<?php echo esc_url(GDPR_PLUGIN_URL . 'admin/images/Getting_Started_04.png'); ?>">										
                        </span>
                    </p>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<?php
require_once( 'header/plugin-sidebar.php' );