<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
require_once( 'header/plugin-header.php' );
global $wpdb;

$retrieved_nonce = empty( $_REQUEST['_wpnonce'] ) ? '' : sanitize_text_field( wp_unslash( $_REQUEST['_wpnonce'] ) );

if ( isset( $_POST['submit'] ) && 'Submit' == sanitize_text_field( wp_unslash( $_POST['submit'] ) ) ) {
	$post = $_POST;
	if ( ! wp_verify_nonce( $retrieved_nonce, 'gdprfrm' ) ) {
		die( 'Failed security check' );
	} else {
		if ( method_exists( $this, 'gdpr_integration_save' ) ) {
			$this->gdpr_integration_save( $post );
		}
	}
}

$get_gdpr_compilation_toolkit = json_decode( get_option( 'gdpr_compilation_toolkit' ) );

if ( isset( $get_gdpr_compilation_toolkit->woo_integration->on ) ) {
	$woo_integration_on = $get_gdpr_compilation_toolkit->woo_integration->on;
} else {
	$woo_integration_on = '';
}
if ( isset( $get_gdpr_compilation_toolkit->woo_integration->chk_text ) && ! empty( $get_gdpr_compilation_toolkit->woo_integration->chk_text ) ) {
	$woo_integration_chk_txt = $get_gdpr_compilation_toolkit->woo_integration->chk_text;
} else {
	$woo_integration_chk_txt = GDPR_DEFAULT_WOO_CHECKBOX_MESSAGE;
}
if ( isset( $get_gdpr_compilation_toolkit->woo_integration->err_msg ) && ! empty( $get_gdpr_compilation_toolkit->woo_integration->err_msg ) ) {
	$woo_integration_err_msg = $get_gdpr_compilation_toolkit->woo_integration->err_msg;
} else {
	$woo_integration_err_msg = GDPR_DEFAULT_WOO_ERROR_MESSAGE;
}
?>
	<div class="gdpr-main-table res-cl">
		<h2><?php esc_html_e( 'GDPR List', 'gdpr-compliance-toolkit' ); ?></h2>
		<form method="POST" name="gdprfrm" action="">
			<?php wp_nonce_field( 'gdprfrm' ); ?>
			<table class="form-table table-outer product-fee-table">
				<tbody>
				<tr valign="top">
					<th class="titledesc" scope="row">
						<label for="woocommerce_integration"><?php esc_html_e( 'Woocommerce Integration', 'gdpr-compliance-toolkit' ); ?></label></th>
					<td class="forminp mdtooltip">
						<input type="checkbox" name="woo_integration[on]" class="text-class half_width" id="woocommerce_integration"
							<?php
							if ( 'on' == $woo_integration_on ) {
								echo 'checked';
							}
							?>
						>
						<span class="woocommerce_gdpr_tab_descirtion"><i class="fa fa-question-circle " aria-hidden="true"></i></span>
						<p class="description"><?php esc_html_e( GDPR_WOO_INTEGRATION_MESSAGE_DESCRIPTION, 'gdpr-compliance-toolkit' ); ?></p>
					</td>
				</tr>
				<tr valign="top" id="woo_chk_txt">
					<th class="titledesc" scope="row">
						<label for="woocommerce_integration_chk_text"><?php esc_html_e( 'Woocommerce Integration Checkbox text', 'gdpr-compliance-toolkit' ); ?></label></th>
					<td class="forminp mdtooltip">
						<input type="text" name="woo_integration[chk_text]" class="text-class full_width" id="woocommerce_integration_chk_msg"
						       value="<?php echo wp_kses_post( $woo_integration_chk_txt ); ?>"
						       placeholder="<?php esc_html_e( GDPR_DEFAULT_WOO_CHECKBOX_MESSAGE, 'gdpr-compliance-toolkit' ); ?>">
						<span class="woocommerce_gdpr_tab_descirtion"><i class="fa fa-question-circle " aria-hidden="true"></i></span>
						<p class="description"><?php esc_html_e( GDPR_DEFAULT_CHECKBOX_MESSAGE_DESCRIPTION, 'gdpr-compliance-toolkit' ); ?></p>
					</td>
				</tr>
				<tr valign="top" id="woo_err_msg">
					<th class="titledesc" scope="row">
						<label for="woocommerce_integration_err_msg"><?php esc_html_e( 'Woocommerce Integration Error Message', 'gdpr-compliance-toolkit' ); ?></label></th>
					<td class="forminp mdtooltip">
						<input type="text" name="woo_integration[err_msg]" class="text-class full_width" id="woocommerce_integration_err_msg"
						       value="<?php echo wp_kses_post( $woo_integration_err_msg ); ?>"
						       placeholder="<?php esc_html_e( GDPR_DEFAULT_WOO_ERROR_MESSAGE, 'gdpr-compliance-toolkit' ); ?>">
						<span class="woocommerce_gdpr_tab_descirtion"><i class="fa fa-question-circle " aria-hidden="true"></i></span>
						<p class="description"><?php esc_html_e( GDPR_DEFAULT_CHECKBOX_ERROR_DESCRIPTION, 'gdpr-compliance-toolkit' ); ?></p>
					</td>
				</tr>


				</tbody>
			</table>
			<p class="submit"><input type="submit" name="submit" class="button button-primary button-large" value="Submit"></p>
		</form>
		<div class="gdpr-main-desc res-cl">
			<div class="gdpr-sub-desc">
				<strong class="gdpr_notes"><?php sprintf( _e( 'This Plugin helps website & online store owners to comply with GDPR - General Data Protection Regulation norms in order to avoid large fines. GDPR details can be <a href="https://www.eugdpr.org/the-regulation.html" target="_blank">read here</a>' ), 'gdpr-compliance-toolkit' ); ?></strong>
				<strong class="gdpr_supports_plugin"><?php _e( 'WP GDPR Compliance currently supports: WooCommerce', 'gdpr-compliance-toolkit' ); ?></strong>
				<strong class="gdpr_disclaimer"><?php _e( 'Disclaimer: The creators of this plugin do not have a legal background please contact a law firm for rock solid legal advice.', 'gdpr-compliance-toolkit' ); ?></strong>
			</div>

		</div>
	</div>
<?php
require_once( 'header/plugin-sidebar.php' );