<?php
if (!defined('ABSPATH')) {
    exit;
}
require_once( 'header/plugin-header.php' );
global $wpdb;
$posts_table = $wpdb->prefix . 'posts';
$post_meta_tabel = $wpdb->prefix . 'postmeta';

/* General Setting */
$gdpr_admin_obj = new Gdpr_Compliance_Toolkit_Admin( $this->plugin_name, $this->version );
$gdpr_general_setting = $gdpr_admin_obj->gdprct_get_general_setting();
$gdpr_backend_per_page = !empty($gdpr_general_setting['gdpr_backend_per_page']) ? trim($gdpr_general_setting['gdpr_backend_per_page']) : GDPR_DEFAULT_PER_PAGE;

$retrieved_nonce = empty($_REQUEST['_wpnonce']) ? '' : sanitize_text_field(wp_unslash($_REQUEST['_wpnonce']));

if (isset($_REQUEST['action']) && 'delete' == $_REQUEST['action'] ) {
    if (!wp_verify_nonce($retrieved_nonce, 'wppgdprnonce')) {
        die('Failed security check');
    }
}

if (isset($_REQUEST["paged"]) && !empty($_REQUEST['paged'])) {
    $page = intval(sanitize_text_field(wp_unslash($_REQUEST['paged'])));
} else {
    $page = 1;
}

$limit = ( isset($_REQUEST["limit"]) && sanitize_text_field(wp_unslash($_REQUEST["limit"])) <> "" && is_numeric(sanitize_text_field(wp_unslash($_REQUEST["limit"]))) ) ? intval(sanitize_text_field(wp_unslash($_REQUEST["limit"]))) : $gdpr_backend_per_page;

$count_qry = "";
$count_qry.="SELECT COUNT(*) AS total_id ";
$count_qry.=" FROM " . $posts_table . " p1";
$count_qry.=" INNER JOIN " . $post_meta_tabel . " m1";
$count_qry.=" ON ( p1.ID = m1.post_id )";
$count_qry.= "WHERE ( m1.meta_key = '_gdpr' )";

$page_result = $wpdb->get_row($count_qry);
$total_records = $page_result->total_id;

$last = ceil($total_records / $limit);

if ($page < 1) {
    $page = 1;
} elseif ($page > $last) {
    $page = $last;
}

if ($page > 1) {
    $lower_limit = ( $page - 1 ) * $limit;
} else {
    $lower_limit = '0';
}

$sel_qry = "";
$sel_qry.="SELECT *";
$sel_qry.=" FROM " . $posts_table . " p1";
$sel_qry.=" INNER JOIN " . $post_meta_tabel . " m1";
$sel_qry.=" ON ( p1.ID = m1.post_id )";
$sel_qry.=" WHERE ( m1.meta_key = '_gdpr' )";
$sel_qry.=" LIMIT %d, %d";

$sel_qry_prepare = $wpdb->prepare($sel_qry, $lower_limit, $limit);

$prd_att_qry = $wpdb->get_results($sel_qry_prepare);

$order_id_arr = array();
if (!empty($prd_att_qry) && isset($prd_att_qry)) {
    $i = 1;
    foreach ($prd_att_qry as $prd_att_qry_data) {

        $order_id_arr[] = $prd_att_qry_data->ID;
    }
}


$get_order_details = $this->get_wc_data($order_id_arr);

wp_nonce_field('delete');
?>
<div class="gdpr-main-table res-cl">
    <div class="product_header_title">
        <h2>
            <?php esc_html_e('GDPR Order List', 'gdpr-compliance-toolkit'); ?>
            <a id="detete_all_selected_gdpr" class="detete_all_select_gdpr_list button-primary add-new-btn" href="javascript:void(0);" disabled="disabled"><?php esc_html_e('Delete', 'gdpr-compliance-toolkit'); ?></a>
        </h2>
    </div>
    <table id="gdpr-listing" class="table-outer form-table all-table-listing tablesorter">
        <thead>
            <tr class="gdpr-head">
                <th><input type="checkbox" name="check_all" class="chk_all_gdpr_class" id="chk_all_gdpr"></th>
                <th><?php esc_html_e('Name', 'gdpr-compliance-toolkit'); ?></th>
                <th><?php esc_html_e('Email', 'gdpr-compliance-toolkit'); ?></th>
                <th><?php esc_html_e('Phone', 'gdpr-compliance-toolkit'); ?></th>
                <th><?php esc_html_e('City', 'gdpr-compliance-toolkit'); ?></th>
                <th><?php esc_html_e('State', 'gdpr-compliance-toolkit'); ?></th>
                <th><?php esc_html_e('Country', 'gdpr-compliance-toolkit'); ?></th>
                <th><?php esc_html_e('Action', 'gdpr-compliance-toolkit'); ?></th>
            </tr>
        </thead>
        <tbody>
            <?php
            if (!empty($get_order_details) && isset($get_order_details)) {
                $i = 1;
                foreach ($get_order_details as $sel_key => $sel_data) {
                    $full_name = esc_attr($sel_data['billing_first_name']) . ' ' . esc_attr($sel_data['billing_last_name']);
                    $email = esc_attr($sel_data['billing_email']);
                    $phone = esc_attr($sel_data['billing_phone']);
                    $city = esc_attr($sel_data['billing_city']);
                    $state = esc_attr($sel_data['billing_state']);
                    $country = esc_attr($sel_data['billing_country']);
                    $wpfpnonce = wp_create_nonce('wppgdprnonce');
                    ?>
                    <tr id="gdpr_row_<?php echo $sel_key; ?>">
                        <td width="5%">
                            <input type="checkbox" class="chk_single_gdpr" name="chk_single_gdpr_chk" value="<?php echo esc_attr($sel_key); ?>">
                        </td>
                        <td>
                            <?php esc_html_e($full_name, 'gdpr-compliance-toolkit'); ?>
                        </td>
                        <td>
                            <?php esc_html_e($email, 'gdpr-compliance-toolkit'); ?>
                        </td>
                        <td>
                            <?php esc_html_e($phone, 'gdpr-compliance-toolkit'); ?>
                        </td>
                        <td>
                            <?php esc_html_e($city, 'gdpr-compliance-toolkit'); ?>
                        </td>
                        <td>
                            <?php esc_html_e($state, 'gdpr-compliance-toolkit'); ?>
                        </td>
                        <td>
                            <?php esc_html_e($country, 'gdpr-compliance-toolkit'); ?>
                        </td>
                        <td>
                            <a class="fee-action-button button-primary delete_single_selected_gdpr" href="javascript:void(0);" id="delete_single_selected_gdpr_<?php echo esc_attr($sel_key); ?>" ><?php esc_html_e('Delete', 'gdpr-compliance-toolkit'); ?></a>
                        </td>
                    </tr>
                    <?php
                    $i++;
                }
            } else {
                ?>
                <tr>
                    <td colspan="8" class="no_list">
                        <?php esc_html_e('No List Available', 'gdpr-compliance-toolkit'); ?>
                    </td>
                </tr>
                <?php
            }
            ?>
        </tbody>
    </table>
    <?php
    echo $pagination_question_list = $gdpr_admin_obj->pagination($page, $last);
    ?>
</div>
<?php
require_once( 'header/plugin-sidebar.php' );