<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$plugin_name    = GDPR_COMPLIANCE_TOOLKIT_PLUGIN_NAME;
$plugin_version = GDPR_PLUGIN_VERSION;
?>
<div id="dotsstoremain">
	<div class="all-pad">
		<header class="dots-header">
			<div class="dots-logo-main">
				<img src="<?php echo esc_url( GDPR_PLUGIN_URL . 'admin/images/logo.png' ); ?>">
			</div>
			<div class="dots-header-right">
				<div class="logo-detail">
					<strong><?php esc_html_e( $plugin_name ); ?> </strong>
					<span><?php echo GDPR_PLUGIN . " " . GDPR_PLUGIN_VERSION; ?> </span>
				</div>
				<div class="button-dots">
                    <span class="support_dotstore_image">
                        <a target="_blank" href="<?php echo esc_url( "https://store.multidots.com/dotstore-support-panel/" ); ?>">
                            <img src="<?php echo esc_url( GDPR_PLUGIN_URL . 'admin/images/support_new.png' ); ?>">
                        </a>
                    </span>
				</div>
			</div>

			<?php
			$fee_getting_started = '';
			$fee_list            = isset( $_GET['page'] ) && ( sanitize_text_field( wp_unslash( $_GET['page'] ) ) == 'gdpr-list' ) ? 'active' : '';
			$fee_add             = isset( $_GET['page'] ) && sanitize_text_field( wp_unslash( $_GET['page'] ) ) == 'gdpr-add-new' ? 'active' : '';
			if ( ! empty( $_GET['page'] ) && ( 'gdpr-get-started' == sanitize_text_field( wp_unslash( $_GET['page'] ) ) ) ) {
				$fee_getting_started = 'active';
			}
			$fee_information = isset( $_GET['page'] ) && sanitize_text_field( wp_unslash( $_GET['page'] ) ) == 'gdpr-information' ? 'active' : '';

			if ( isset( $_GET['page'] ) && 'gdpr-get-started' == sanitize_text_field( wp_unslash( $_GET['page'] ) ) || isset( $_GET['page'] ) && 'gdpr-information' == sanitize_text_field(
					wp_unslash( $_GET['page'] ) ) ) {
				$fee_about = 'active';
			} else {
				$fee_about = '';
			}

			if ( isset( $_GET['page'] ) && 'gdpr-order-data-list' == sanitize_text_field( wp_unslash( $_GET['page'] ) ) || isset( $_GET['page'] ) && 'gdpr-user-request-data-list'  == sanitize_text_field( wp_unslash
			( $_GET['page'] ) ) ) {
				$gdpr_data = 'active';
			} else {
				$gdpr_data = '';
			}

			if ( ! empty( $_REQUEST['action'] ) ) {
				if ( 'add' == $_REQUEST['action'] || 'edit' == sanitize_text_field( wp_unslash( $_REQUEST['action'] ) ) ) {
					$fee_add = 'active';
				}
			}

			if ( ! empty( $_GET['page'] ) && ( 'gdpr-order-data-list' == sanitize_text_field( wp_unslash( $_GET['page'] ) ) ) ) {
				$gdpr_order_data_list = 'active';
			} else {
				$gdpr_order_data_list = '';
			}

			if ( ! empty( $_GET['page'] ) && ( 'gdpr-user-request-data-list' == sanitize_text_field( wp_unslash( $_GET['page'] ) )  ) ) {
				$gdpr_user_request_data_list = 'active';
			} else {
				$gdpr_user_request_data_list = '';
			}

			if ( ! empty( $_GET['page'] ) && ( 'gdpr-general-setting' == sanitize_text_field( wp_unslash( $_GET['page'] ) ) ) ) {
				$gdpr_setting = 'active';
			} else {
				$gdpr_setting = '';
			}

			?>
			<div class="dots-menu-main">
				<nav>
					<ul>
						<li>
							<a class="dotstore_plugin <?php echo esc_attr( $fee_list ); ?>"
							   href="<?php echo esc_url( home_url( '/wp-admin/admin.php?page=gdpr-list' ) ); ?>"><?php esc_html_e( GDPR_LIST_PAGE_TITLE, 'gdpr-compliance-toolkit' ); ?></a>
						</li>
						<li>
							<a class="dotstore_plugin <?php echo esc_attr( $gdpr_data ); ?>"
							   href="<?php echo esc_url( home_url( '/wp-admin/admin.php?page=gdpr-order-data-list' ) ); ?>"><?php esc_html_e( GDPR_DATA_LIST, 'gdpr-compliance-toolkit' ); ?></a>
							<ul class="sub-menu">
								<li><a class="dotstore_plugin <?php echo esc_attr( $gdpr_order_data_list ); ?>"
								       href="<?php echo esc_url( home_url( '/wp-admin/admin.php?page=gdpr-order-data-list' ) ); ?>"><?php esc_html_e( GDPR_ORDER_DATA_LIST, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
								<li><a class="dotstore_plugin <?php echo esc_attr( $gdpr_user_request_data_list ); ?>"
								       href="<?php echo esc_url( home_url( '/wp-admin/admin.php?page=gdpr-user-request-data-list' ) ); ?>"><?php esc_html_e( GDPR_USER_REQUEST_DATA_LIST, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
							</ul>
						</li>
						<li>
							<a class="dotstore_plugin <?php echo esc_attr( $gdpr_setting ); ?>"
							   href="<?php echo esc_url( home_url( '/wp-admin/admin.php?page=gdpr-general-setting' ) ); ?>"><?php esc_html_e( GDPR_EXTRA_PAGE_SETTING, 'gdpr-compliance-toolkit' ); ?></a>
						</li>
						<li>
							<a class="dotstore_plugin <?php echo esc_attr( $fee_about ); ?>"
							   href="<?php echo esc_url( home_url( '/wp-admin/admin.php?page=gdpr-get-started' ) ); ?>"><?php esc_html_e( GDPR_ABOUT_PLUGIN, 'gdpr-compliance-toolkit' ); ?></a>
							<ul class="sub-menu">
								<li><a class="dotstore_plugin <?php echo esc_attr( $fee_getting_started ); ?>"
								       href="<?php echo esc_url( home_url( '/wp-admin/admin.php?page=gdpr-get-started' ) ); ?>"><?php esc_html_e( GDPR_GETTING_STARTED, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
								<li><a class="dotstore_plugin <?php echo esc_attr( $fee_information ); ?>"
								       href="<?php echo esc_url( home_url( '/wp-admin/admin.php?page=gdpr-information' ) ); ?>"><?php esc_html_e( GDPR_QUICK_INFO, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
							</ul>
						</li>
						<li>
							<a class="dotstore_plugin" href="#"><?php esc_html_e( 'Dotstore', 'gdpr-compliance-toolkit' ); ?></a>
							<ul class="sub-menu">
								<li><a target="_blank"
								       href="<?php echo esc_url( "https://store.multidots.com/go/flatrate-pro-new-interface-woo-plugins" ); ?>"><?php esc_html_e( GDPR_WOOCOMMERCE_PLUGINS, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
								<li><a target="_blank"
								       href="<?php echo esc_url( "https://store.multidots.com/go/flatrate-pro-new-interface-wp-plugins" ); ?>"><?php esc_html_e( GDPR_WORDPRESS_PLUGINS, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
								<br>
								<li><a target="_blank"
								       href="<?php echo esc_url( "https://store.multidots.com/go/flatrate-pro-new-interface-wp-free-plugins" ); ?>"><?php esc_html_e( GDPR_FREE_PLUGINS, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
								<li><a target="_blank"
								       href="<?php echo esc_url( "https://store.multidots.com/go/flatrate-pro-new-interface-free-theme" ); ?>"><?php esc_html_e( GDPR_FREE_THEMES, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
								<li><a target="_blank"
								       href="<?php echo esc_url( "https://store.multidots.com/go/flatrate-pro-new-interface-dotstore-support" ); ?>"><?php esc_html_e( GDPR_CONTACT_SUPPORT, 'gdpr-compliance-toolkit' ); ?></a>
								</li>
							</ul>
						</li>
					</ul>
				</nav>
			</div>
		</header>