<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$image_url = esc_url( GDPR_PLUGIN_URL . 'admin/images/right_click.png' );
?>
<div class="dotstore_plugin_sidebar">
	<div class="dotstore-important-link">
		<h2><span class="dotstore-important-link-title"><?php esc_html_e( 'Important link', 'woo-product-finder-pro' ); ?></span></h2>
		<div class="video-detail important-link">
			<ul>
				<li>
					<img src="<?php echo esc_url( $image_url ); ?>">
					<a target="_blank" href="javascript:void(0);"><?php esc_html_e( 'Plugin documentation', 'woo-product-finder-pro' ); ?></a>
				</li>
				<li>
					<img src="<?php echo esc_url( $image_url ); ?>">
					<a target="_blank"
					   href="<?php echo esc_url( "https://store.multidots.com/dotstore-support-panel/" ); ?>"><?php esc_html_e( 'Support platform', 'woo-product-finder-pro' ); ?></a>
				</li>
				<li>
					<img src="<?php echo esc_url( $image_url ); ?>">
					<a target="_blank"
					   href="<?php echo esc_url( "https://store.multidots.com/suggest-a-feature/" ); ?>"><?php esc_html_e( 'Suggest A Feature', 'woo-product-finder-pro' ); ?></a>
				</li>
				<li>
					<img src="<?php echo esc_url( $image_url ); ?>">
					<a target="_blank" href="javascript:void(0);"><?php esc_html_e( 'Changelog', 'woo-product-finder-pro' ); ?></a>
				</li>
			</ul>
		</div>
	</div>
	<div class="dotstore-important-link">
		<h2><span class="dotstore-important-link-title"><?php esc_html_e( 'OUR POPULAR PLUGIN', 'woo-product-finder-pro' ); ?></span></h2>
		<div class="video-detail important-link">
			<ul>
				<li>
					<img class="sidebar_plugin_icone" src="<?php echo esc_url( GDPR_PLUGIN_URL . 'admin/images/Advance_Extra_Cost_Plugin_for_WooCommerce_sidebar.png' ); ?>">
					<a target="_blank"
					   href="<?php echo esc_url( "https://www.thedotstore.com/advanced-flat-rate-shipping-method-for-woocommerce" ); ?>"><?php esc_html_e( 'Woocommerce Conditional Extra Fees', 'woo-product-finder-pro' ); ?></a>
				</li>
				<li>
					<img class="sidebar_plugin_icone"
					     src="<?php echo esc_url( GDPR_PLUGIN_URL . 'admin/images/Woocommerce_Blocker_Lite_Prevent_fake_orders_and_Blacklist_fraud_customers.png' ); ?>">
					<a target="_blank"
					   href="<?php echo esc_url( "https://www.thedotstore.com/woocommerce-blocker-lite-prevent-fake-orders-blacklist-fraud-customers/" ); ?>"><?php esc_html_e( 'Woocommerce Blocker', 'woo-product-finder-pro' ); ?></a>
				</li>
				<li>
					<img class="sidebar_plugin_icone" src="<?php echo esc_url( GDPR_PLUGIN_URL . 'admin/images/advanced_product_Size_Chart_WooCommerce_icone.png' ); ?>">
					<a target="_blank"
					   href="<?php echo esc_url( "https://www.thedotstore.com/woocommerce-advanced-product-size-charts/" ); ?>"><?php esc_html_e( 'Woocommerce Advanced Product Size Charts', 'woo-product-finder-pro' ); ?></a>
				</li>
				<li>
					<img class="sidebar_plugin_icone"
					     src="<?php echo esc_url( GDPR_PLUGIN_URL . 'admin/images/WooCommerce_Enhanced_Ecommerce_Analytics_Integration_with_Conversion_Tracking.png' ); ?>">
					<a target="_blank" href="<?php echo esc_url( "https://www.thedotstore.com/woocommerce-enhanced-ecommerce-analytics-integration-with-conversion-tracking" );
					?>"><?php esc_html_e( 'Woo Enhanced Ecommerce Analytics Integration', 'woo-product-finder-pro' ); ?></a>
				</li>
				<li>
					<img class="sidebar_plugin_icone" src="<?php echo esc_url( GDPR_PLUGIN_URL . 'admin/images/save_for_later_icone.png' ); ?>">
					<a target="_blank"
					   href="<?php echo esc_url( "https://www.thedotstore.com/woocommerce-save-for-later-cart-enhancement" ); ?>"><?php esc_html_e( 'Woocommerce Save For Later Cart Enhancement', 'woo-product-finder-pro' ); ?></a>
				</li>
				<li>
					<img class="sidebar_plugin_icone" src="<?php echo esc_url( GDPR_PLUGIN_URL . 'admin/images/AMM.png' ); ?>">
					<a target="_blank"
					   href="<?php echo esc_url( "https://www.thedotstore.com/advance-menu-manager-wordpress/" ); ?>"><?php esc_html_e( 'Advanced Menu Manager For WordPress', 'woo-product-finder-pro' ); ?></a>
				</li>
				</br>
			</ul>
		</div>
		<div class="view-button">
			<a class="view_button_dotstore" target="_blank"
			   href="<?php echo esc_url( "https://www.thedotstore.com/plugins/" ); ?>"><?php esc_html_e( 'VIEW ALL', 'woo-product-finder-pro' ); ?></a>
		</div>
	</div>
</div>
</div>
</body>
</html>
