<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       https://profiles.wordpress.org/dots
 * @since      1.0.0
 *
 * @package    Gdpr_Compliance_Toolkit
 * @subpackage Gdpr_Compliance_Toolkit/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Gdpr_Compliance_Toolkit
 * @subpackage Gdpr_Compliance_Toolkit/includes
 * @author     Multidots <inquiry@multidots.in>
 */
if ( !defined( 'ABSPATH' ) ) {
    exit;
}
class Gdpr_Compliance_Toolkit_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'gdpr-compliance-toolkit',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}
        
        /**
        * Set the domain equal to that of the specified domain.
        *
        * @since    1.0.0
        * @param    string    $domain    The domain that represents the locale of this plugin.
        */
        public function set_domain($domain) {
            $this->domain = $domain;
        }



}
